DL_Algorithm_ECDSA_RFC6979< EC, H > Class Template Reference

Elliptic Curve DSA (ECDSA) signature algorithm based on RFC 6979. More...

`#include <eccrypto.h>`

Inheritance diagram for DL_Algorithm_ECDSA_RFC6979< EC, H >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_Algorithm_DSA_RFC6979< EC::Point, H >
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_Algorithm_GDSA< EC::Point >
static const char * | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from DL_Algorithm_DSA_RFC6979< EC::Point, H >
bool | IsProbabilistic () const
bool | IsDeterministic () const
| Signature scheme flag.
Integer | GenerateRandom (const Integer &x, const Integer &q, const Integer &e) const
| Generate k.
Public Member Functions inherited from DL_Algorithm_GDSA< EC::Point >
void | Sign (const DL_GroupParameters< EC::Point > &params, const Integer &x, const Integer &k, const Integer &e, Integer &r, Integer &s) const
| Sign a message using a private key.
bool | Verify (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &e, const Integer &r, const Integer &s) const
| Verify a message using a public key.
Public Member Functions inherited from DL_ElgamalLikeSignatureAlgorithm< EC::Point >
virtual Integer | RecoverPresignature (const DL_GroupParameters< EC::Point > &params, const DL_PublicKey< EC::Point > &publicKey, const Integer &r, const Integer &s) const
| Recover a Presignature.
virtual size_t | RLen (const DL_GroupParameters< EC::Point > &params) const
| Retrieve R length.
virtual size_t | SLen (const DL_GroupParameters< EC::Point > &params) const
| Retrieve S length.

## Detailed Description

template<class EC, class H>
class DL_Algorithm_ECDSA_RFC6979< EC, H >

Elliptic Curve DSA (ECDSA) signature algorithm based on RFC 6979.

Template Parameters

  EC | elliptic curve field

See also
  RFC 6979, Deterministic Usage of the Digital Signature Algorithm (DSA) and Elliptic Curve Digital Signature Algorithm (ECDSA)

Since
  Crypto++ 6.0

Definition at line 356 of file eccrypto.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class EC, class H>

const char * DL_Algorithm_ECDSA_RFC6979< EC, H >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 359 of file eccrypto.h.

The documentation for this class was generated from the following file:

- eccrypto.h